Bug 1501 - enhancment option for temporary files
enhancment option for temporary files
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
2.6.2
All Linux
: P3 enhancement
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 06:50 UTC by frank
Modified: 2005-03-16 16:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description frank 2004-07-02 06:50:04 UTC
I would like to have an option that disables the temporary file creation and 
immediatly creates the destination file.
Thus: when rsync determines a new copy should be made, that it will be made 
instantly without any creation of temporary files.

The problem i have is that i use rsync to sync a large directory structure (1 
million files) and that the rename action sometimes is not allowed. So the 
copied file gets deleted. I think this problem would be solved if there would 
be no rename call.
Comment 1 Wayne Davison 2004-07-02 14:55:40 UTC
If the rename fails, rsync resorts to copying the file.  If that fails, it is
doubtful that a copy that does not use a temp file to begin with would succeed
either.

However, feel free to try the latest CVS version with patches/inplace.diff
change applied.  Either grab the source via the "cvs" command, or snag the
latest nightly tar file from the web site. Then run these commands:

  patch -p0 <patches/inplace.diff
  autoconf
  autoheader
  ./configure
  make

If you have yodl installed, run this too:

  make rsync.1

You can then try the --inplace option.
Comment 2 Wayne Davison 2004-07-16 13:25:52 UTC
Note that I checked-in the --inplace option for rsync, so you can try it out by
either checking out the CVS version or by grabbing the latest nightly tar file
from the website.